Libreoffice will no longer print landscape page

Bug #1040037 reported by Barry Drake on 2012-08-22
120
This bug affects 21 people
Affects Status Importance Assigned to Milestone
CUPS
Fix Released
Critical
LibreOffice
Fix Released
High
cups-filters (Ubuntu)
High
Till Kamppeter
Quantal
High
Till Kamppeter
libreoffice (Ubuntu)
Medium
Unassigned
Quantal
Undecided
Unassigned

Bug Description

Since update yesterday, landscape pages print as portrait printing to a Brother DCP 135C. Print preview shows a landscape layout, but output from printer always comes out as a portrait page. The problem did not occur two days ago, and does not occur when printing from other applications (eg pdf viewer).

WORKAROUND: Export the file as a pdf and print that using the pdf viewer.

[IMPACT]

Landscape-formatted documents from LibreOffice get printed rotated and cut off on all printers using Ghostscript's built-in drivers ("pxlmono", "ljet4", "hl1250", ...), perhaps also with other drivers.

[TESTCASE]

Print the attached file test.pdf via

lp test.pdf

on a printer using one of Ghostscript's built-in drivers (not CUPS Raster). Result is the content being rotated by 90 degrees and the rightmost portion of the content cut off. The same job comes out correctly when the proposed package is installed.

[Regression Potential]

Patch is simple, there should be no regressions.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: libreoffice (not installed)
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic i686
ApportVersion: 2.4-0ubuntu8
Architecture: i386
Date: Wed Aug 22 13:08:56 2012
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120730.1)
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: No upgrade log present (probably fresh install)

This workaround works for 3.5.2 on Fedora 64 bit

*** Bug 42907 has been marked as a duplicate of this bug. ***

I can confirm that this bug is present as far back as LibreOffice 3.4.5 running on openSUSE 11.4 32-bit. Once again an RPM-based distro. As per comment 26, I'm setting the bug to the oldest version on which this issue is reproducible. Hoping to get a fix for this prior to the release of openSUSE 12.2 in July.

*** Bug 43506 has been marked as a duplicate of this bug. ***

*** Bug 47151 has been marked as a duplicate of this bug. ***

*** Bug 48394 has been marked as a duplicate of this bug. ***

*** Bug 47804 has been marked as a duplicate of this bug. ***

*** Bug 48172 has been marked as a duplicate of this bug. ***

*** Bug 52308 has been marked as a duplicate of this bug. ***

83 comments hidden view all 116 comments

Barry Drake, thank you for reporting this and helping make Ubuntu better. Could you please execute the following at a terminal, and post the results to this report:
apt-cache policy libreoffice-writer

Changed in libreoffice (Ubuntu):
status: New → Incomplete
tags: added: regression-potential
Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
Barry Drake (b-drake) wrote :

libreoffice-writer:
  Installed: 1:3.5.4-0ubuntu1.1
  Candidate: 1:3.5.4-0ubuntu1.1
  Version table:
 *** 1:3.5.4-0ubuntu1.1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.5.2-2ubuntu1 0
        500 http://gb.archive.ubuntu.com/ubuntu/ precise/main i386 Packages

Barry Drake, thank you for providing this information.

When you noted you upgraded a day ago, did you upgrade from a prior release? If so, which?

Barry Drake (b-drake) wrote :

This was not a release-upgrade. It was a clean install of 12.10 alpha 3 including re-formatting, with all updates carried out almost daily since.

Barry Drake, just to clarify, you provided results of libreoffice-writer from Precise in https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1040037/comments/2 but your noting your problem is in Quantal. Could you please restate when the problem did not occur and when it did?

tags: added: regression-update
removed: regression-potential
Changed in libreoffice (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Barry Drake (b-drake) wrote :

Problem was not present on Monday 20th August but appeared on the Tuesday after the available upgrades were installed last thing Monday night. The landscape page had printed out OK early Monday evening and with no alterations would only print in portrait format on the Tuesday evening. I do not get the problem in Precise - only in Quantal which I have as a dual boot with Precise. Currently I'm booting into Precise to print the landscape pages and this works just fine with the same file.

d-drake: Please dont mix in the precise versions (that seem to be working fine, if Iead you correctly), but state the versions you have on quantal before and after the update that broke it.

Barry Drake (b-drake) wrote :

Current version is: Version 3.6.0.2 (Build ID: 360m1(Build:102)) I have no record of what the version was prior to the broken version: I assume it is the same as I only took an update. I've attached the apt logfile. There was no apparent change to libreoffice on August 20th, but there was a cups update and various other updates .... I don't know where else to look.

Changed in libreoffice (Ubuntu):
status: Incomplete → New
Barry Drake (b-drake) wrote :

Further information: Problem still exists after today's updates. If I print-to-file and then print out the resulting pdf, this does print in landscape format.

76 comments hidden view all 116 comments

I can confirm too - bug still valid in LO 3.5.x in Mageia 2 and LO 3.6.1 builded myself on Mageia 2.
"PDF" language for the printer has another victim: printing envelope DL (Mageia bug No. 4521: https://bugs.mageia.org/show_bug.cgi?id=4521)

Solution:
I wrote small patch which switch as default langauge for printer Postscript level 2. Tested on LO 3.6.1 - works very well.

Created attachment 66131
Switch to printer langauge Postscript level 2 as default

I can report this bug also is occuring on openSUSE12.2 GM, released two days ago. Using libreoffice 3.5.4. Work around does work, but real pain to have to change each time.

Thanks

Bug is present in OpenSuSE 12.2, LO 3.5.4.7-1.1.2.x86_64. The default should be changed to PostScript 2.

Regarding "Ubuntu/Debian Linux derivatives are suspiciously absent from the list of affected Linux systems so far.": This is on Ubuntu 12.04, LO 3.5.4.

Printing does not work AT ALL here with a networked PostScript printer (some big Xerox machine) and the language set to PDF. It works unreliably with PS. Often just nothing happens when you print. The job is not even queued.
Printing from every other application works perfectly. Printing with OO 3.2.0 used to work perfectly (on Ubuntu 10.04).

79 comments hidden view all 116 comments
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cups (Ubuntu):
status: New → Confirmed
Changed in libreoffice (Ubuntu):
status: New → Confirmed
80 comments hidden view all 116 comments

I have this bug stretches from OpenSUSE 11.3 with LibreOffice 3.4 in OpenSUSE 12.2 with LibreOffice 3.5 is present, too.

78 comments hidden view all 116 comments
mabab (mabab) wrote :

I updated to ubuntu 12.10 and now I am affected by this bug.

I followed the advice: "Open any LibreOffice app and go to File=>Printer Settings=>Properties=>Device tab. Is the "Printer Language type" set to PDF? If so, it's probably https://bugs.freedesktop.org/show_bug.cgi?id=44664. The workaround is to change the printer language to Postscript (level from driver). See this thread: Libreoffice doesn't print landscape files properly" from this link: http://forums.opensuse.org/english/get-technical-help-here/applications/473302-problems-printing-landscape-libreoffice-suse-12-1-a.html

Now everything is OK.

Barry Drake, could you please answer the following questions:
+ What is the printer(s) manufacturer and model name?
+ Does the performing the actions noted in https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1040037/comments/12 provide a WORKAROUND?

Changed in libreoffice (Ubuntu):
status: Confirmed → Incomplete

On 20/10/12 20:00, Christopher M. Penalver wrote:
> Barry Drake, could you please answer the following questions:
> + What is the printer(s) manufacturer and model name?
> + Does the performing the actions noted in https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1040037/comments/12 provide a WORKAROUND?
>

Printer is Brother DCP 135C. I have reported the problem to the Brother
driver maintainer. The driver is provided as open-source.

I will have to investigate the workaround in the next day or two and
will report further.

--
Barry Drake is a member of the the Ubuntu Advertising team.
http://ubuntuadverts.org/

Barry Drake (b-drake) wrote :

I have now tried the workaround and the result is exactly the same. My only workaround currently is to export the file as a pdf and print that using the pdf viewer.

Barry Drake, thank you for providing your results. Regarding your Bug Description:
>"Since update yesterday..."

What precisely did you update? Did you update from Precise? Updated your cups and/or libreoffice package?

description: updated
Barry Drake (b-drake) wrote :

The update referred to was the Ubuntu update for the day using update manager. It included updates for both cups and the libreoffice package.

Changed in libreoffice (Ubuntu):
status: Incomplete → New
Jan Taborsky (jantaborsky) wrote :

Affects me too, since release upgrade from precise.

However, setting printer language to postscript (level from driver) DOES provide a workaround.

libreoffice-writer:
  Installed: 1:3.6.2~rc2-0ubuntu3
  Candidate: 1:3.6.2~rc2-0ubuntu3
  Version table:
 *** 1:3.6.2~rc2-0ubuntu3 0
        500 http://cz.archive.ubuntu.com/ubuntu/ quantal/main amd64 Packages
        100 /var/lib/dpkg/status

The printer is an old HP Laserjet 5L.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libreoffice (Ubuntu):
status: New → Confirmed

Jan Taborsky, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug cups

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Barry Drake, regarding your comments https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1040037/comments/14 :
>"I have reported the problem to the Brother driver maintainer. The driver is provided as open-source."

Did you file this in a bug tracker? If so, what is the URL?

As well, do you have this same problem printing to other printers?

description: updated
Changed in libreoffice (Ubuntu):
status: Confirmed → Incomplete
Barry Drake (b-drake) wrote :

There is no bug tracker for Brother drivers. I posted the problem at: http://www.brother.co.uk/g3.cfm/s_page/110100

I will need to borrow a printer to check out whether I have the problem with other printers. Will report further in a day or two.

Can everyone with this broblem do the following:

Follow the instructions of the sections "CUPS error_log" and "Capturing print job data" on https://wiki.ubuntu.com/DebuggingPrintingProblems for the failing case (output file format must be PDF). Also attach the original LibreOffice file and the PDF file generated when you use "Export to PDF".

It would also be great if you do the same on Ubuntu 12.04 (where it does not fail).

Another interesting test would be to take the captured print output of 12.04 and print it with

lpr file.pdf

on 12.10 and vice versa. Does this work?

Changed in cups (Ubuntu):
status: Confirmed → Incomplete
affects: cups (Ubuntu) → cups-filters (Ubuntu)
Changed in cups-filters (Ubuntu):
importance: Undecided → Medium
Barry Drake (b-drake) wrote :

Have carried out the capture as above. The resulting pdf file from the cups spool is properly formatted as landscape and prints correctly from the pdf viewer. This is attached as test.pdf

Barry Drake (b-drake) wrote :

Here is the libreoffice original.

Bug 1070510 is probably the same problem.

On my printers the file comes out correctly. Can you attach the PPD file of the printer(s) where the problem occurs (from /etc/cups/ppd/). Thanks.

Barry Drake (b-drake) wrote :

As requuested.

Barry Drake (b-drake) wrote :

At the moment, I don't have any other USB printers. I'm going to see if I can manage to put 12.10 onto an older PC which has an LPT printer port as I have a couple of paralell port printers I can try.

Barry, thanks. You do not need to worry about the connection type, the problem is independent of how the printer is connected (would also occur with network printers).

It looks like a bug in Ghostscript, which has to convert the PDF input file into PCL (the language of the printer). It seems that for some PDF files Ghostscript does not manage to rotate the content by 90 degrees so that it fits onto the sheet.

Please follow the instructions of the sections "CUPS error_log" on https://wiki.ubuntu.com/DebuggingPrintingProblems.

affects: cups-filters (Ubuntu) → ghostscript (Ubuntu)

After some testing with your files on Precise and Quantal I have found out that the problem is in the new pdftopdf filter of the cups-filters package.

Thank you for your files.

affects: ghostscript (Ubuntu) → cups-filters (Ubuntu)
Changed in cups-filters (Ubuntu):
status: Incomplete → Confirmed
importance: Medium → High
milestone: none → quantal-updates
assignee: nobody → Till Kamppeter (till-kamppeter)
Changed in libreoffice (Ubuntu):
status: Incomplete → Invalid

Reported bug to cups-filters upstream as

https://bugs.linuxfoundation.org/show_bug.cgi?id=1080

Barry Drake (b-drake) wrote :

Here is the error log requested.

Barry Drake (b-drake) wrote :

Sorry - forgot to attach it ... here it is:

Jan Taborsky (jantaborsky) wrote :

Well I guess after reporting the bug upstream you don't need my files anymore.

Anyways, if you want me to do some more testing I'm ready to do it.

56 comments hidden view all 116 comments

Created attachment 69672
Switch to printer langauge Postscript level 2 as default (regenerated)

I regenerated Jaroslav's patch and sent it for review at https://gerrit.libreoffice.org/1003

In general, switching back to PS is a retrograde step and I'm pretty certain we don't want to do that - but I'll seek advice from our cups maintainers :-)
Michael Stahl did a nice write-up here:

http://lists.freedesktop.org/archives/libreoffice/2012-November/040835.html

Changed in cups:
importance: Unknown → Critical
status: Unknown → Confirmed
56 comments hidden view all 116 comments
Barry Drake (b-drake) wrote :

Just to say the latest cups updates have fixed the problem (at least in 13.04 testing).

Marius B. Kotsbak (mariusko) wrote :

I still experience this in Quantal with all updates installed.

Changed in cups-filters (Ubuntu):
status: Confirmed → Triaged
Changed in libreoffice (Ubuntu Quantal):
status: New → Invalid
Changed in cups-filters (Ubuntu Quantal):
status: New → Triaged
milestone: none → quantal-updates
Changed in cups-filters (Ubuntu):
milestone: quantal-updates → ubuntu-13.04-feature-freeze
Changed in cups-filters (Ubuntu Quantal):
assignee: nobody → Till Kamppeter (till-kamppeter)
importance: Undecided → High

Problem fixed upstream, fix will be included in the next cups-filters package.

Jan Taborsky (jantaborsky) wrote :

This is great news, thank you.

Changed in cups:
status: Confirmed → Fix Released
Marius B. Kotsbak (mariusko) wrote :

This is so important that the fix should be backported to Quantal.

Changed in cups-filters (Ubuntu):
status: Triaged → Fix Committed
53 comments hidden view all 116 comments

Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59b98580bfd70205a9ebdb0ba67e74225d875b43

Resolves: fdo#44664 Provide a way to set the default print job format.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.

Changed in cups-filters (Ubuntu Quantal):
status: Triaged → In Progress
description: updated

Very much thanks for fixing this bug

Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08597f2897e5ac752147c8f2c4a91bb557ed4580

Related: fdo#44664 spadmin support for forcing "postscript of driver level"

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.

So...

cups recommends PDF as the standard print job format and I don't want to revert back to postscript as the standard print job format because there are fairly compelling features that using PDF enables.

That said, given the big pile of duplicate bugs here, there are clearly either a lot of buggy cups+pdf stacks out there or there's something about our PDF output that trips something up and using postscript is the only known workaround.

To that end...

a) In any version of LibreOffice in the print dialog or in "printer options" you can temporarily override the default print job format for that document for the current session. That won't "stick" permanently (it's not supposed to).
b) In spadmin it *should* have been possible to override the print job format permanently an individual printers as a workaround. That didn't work and is now fixed on master as 08597f2897e5ac752147c8f2c4a91bb557ed4580
b) In LibreOffice 4 under tools->options->print there is now an additional checkbox to disable using PDF as the default print job format for all printers as 59b98580bfd70205a9ebdb0ba67e74225d875b43

Working under the assumption that the problem is not in our PDF output, but instead is due to probably multiple different bugs in probably multiple pieces of the cups stack, this is the best I think we can do on our side.

See http://fedoraproject.org/wiki/How_to_debug_printing_problems#Finding_where_the_problem_lies for a useful guide to finding what component in the cups stack that might be causing your individual problems in order to track down the root causes.

If anyone has any evidence that there really is a fault in our PDF generation then please open a new bug for that.

The pdftopdf filter of cups-filters 1.0.25 (issued yesterday) has auto-rotation functionality added to fix this problem. See

https://bugs.linuxfoundation.org/show_bug.cgi?id=1080

Changed in cups-filters (Ubuntu):
status: Fix Committed → Fix Released
Changed in df-libreoffice:
importance: Unknown → High
status: Unknown → Fix Released
Barry Drake (b-drake) wrote :

The fix in CUPS filters has now appeared in Raring, but not so far in Quantal.

Hello Barry, or anyone else affected,

Accepted cups-filters into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cups-filters/1.0.24-2ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cups-filters (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
jhoechtl (johann-hoechtl) wrote :

I installed stock cups-filters (1.0.24-2ubuntu0.1) quantal-proposed and landscape-printing now works in libreoffice without the Postscript-level workaround as well as in other applications using the cups pdf printing stack. Great!

Barry Drake (b-drake) wrote :

This works OK for me. Don't think I have access to add or change bug tags. Please mark verification done.

tags: added: regression-updateverification-done
removed: regression-update verification-needed
tags: added: regression-update verification-done
removed: regression-updateverification-done

Also the reporter of duplicate bug 1086905 confirms that the proposed package solves his problem.

Thanks Till - so we don't need to start parsing the PPDs and black-listing known-broken printer drivers based on:

> If any of those attributes says the driver can handle
> "application/vnd.cups-pdf" or "application/vnd.cups-postscript" by
> running a program to do it (i.e. any filter other than "-"),

cf. mail on dev-list ;-) if so that's a relief. Thanks for fixing it.

Tim Wiel (timwiel) wrote :

this problem also seems to affect Firefox 17.0.1 on Precise 12.04.1LTS with cups-filters 1.0.18-0ubuntu0.1

printing to landscape mode doesn't work - the page physically prints in portrait with the printout cut off the right of the landscape page text

Tim Wiel (timwiel) wrote :

regarding my last comment about this bug on Precise - it can be fixed (at least on a Brother HL 2250DN printer with cupswrapperhl2250dn 2.0.4-2 drivers) by the following "FIX" :

Applications -> Printing ..... Right click on printer and go properties

In properties click on Job Options and then under common options change Orientation to "Portrait (No Rotation)" - it seems to force the landscape to orient the correct way on the page

I hope that helps someone that this bug is driving insane in Precise....

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups-filters - 1.0.24-2ubuntu0.1

---------------
cups-filters (1.0.24-2ubuntu0.1) quantal-proposed; urgency=low

  * debian/patches/pdftopdf-landscape-fix.patch: Auto-rotate functionality
    added to pdftopdf to print landscape-formatted PDFs (for example from
    LibreOffice) correctly (LP: #1040037, Upstream bug #1080).
  * debian/patches/pdftopdf-multiple-copies-collate-fix.patch: The pdftopdf
    filter started the second copy of a duplex job with an odd number of
    pages on the back side of the last page of the first copy. Thanks to
    David Williams from Ricoh for reporting this and to Tobias Hoffmann for
    fixing this (LP: #1084534).
  * debian/rules: Added "DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend" to not
    correct the permissions of CUPS backends (LP: #1076786).
 -- Till Kamppeter <email address hidden> Thu, 29 Nov 2012 16:59:59 +0100

Changed in cups-filters (Ubuntu Quantal):
status: Fix Committed → Fix Released
1 comments hidden view all 116 comments
Tim Wiel (timwiel) wrote :

Is there any reason why this hasn't been backported to precise - it also effects that distrubition and it is still an active LTS

Tim Wiel, this is a significant bug in Ubuntu. If you need a fix for the bug in previous versions of Ubuntu, please do steps 1 and 2 of the SRU Procedure [1] to bring the need to a developer's attention.

[1]: https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

$ cat /etc/redhat-release
Scientific Linux release 6.4 (Carbon)

$ uname -r
2.6.32-358.11.1.el6.x86_64

$ rpm -qa cups
cups-1.4.2-50.el6_4.4.x86_64

$ rpm -qa libreoffice\*
libreoffice4.0-writer-4.0.4.2-2.x86_64

Problem still exists and is not resolved. In every other program, landscape and portrait are respected. Word Pro, thought Wine and CUPS, prints center positioned, landscape envelopes properly.

I appreciate you reopening this.

Many thanks,
-T

Moving to 3.6 MAB as 3.5 is EOL

Changed in df-libreoffice:
status: Fix Released → Confirmed

a) In any version of LibreOffice in the print dialog or in "printer options" you can temporarily override the default print job format for that document for the current session. That won't "stick" permanently (it's not supposed to).
b) In spadmin it *should* have been possible to override the print job format permanently an individual printers as a workaround. That didn't work and is now fixed on master as 08597f2897e5ac752147c8f2c4a91bb557ed4580
b) In LibreOffice 4 under tools->options->print there is now an additional checkbox to disable using PDF as the default print job format for all printers as 59b98580bfd70205a9ebdb0ba67e74225d875b43

Working under the assumption that the problem is not in our PDF output, but instead is due to probably multiple different bugs in probably multiple pieces of the cups stack, this is the best I think we can do on our side.

See http://fedoraproject.org/wiki/How_to_debug_printing_problems#Finding_where_the_problem_lies for a useful guide to finding what component in the cups stack that might be causing your individual problems in order to track down the root causes.

If anyone has any evidence that there really is a fault in our PDF generation then please open a new bug for that.

*** Bug 58884 has been marked as a duplicate of this bug. ***

Changed in df-libreoffice:
status: Confirmed → Fix Released

One additional remark to my comment #55: The pdftopdf filter does the auto-rotation by setting the rotation fields of the pages in the PDF file. This rotation field is ignored by "pdftops -origpagesizes" (as pdftops is called by cups-filters). I have fixed this in Poppler. See bug #72312 and also BZR rev. 7131 in cups-filters upstream.

Displaying first 40 and last 40 comments. View all 116 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.